﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace DragDropListBoxItems
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            ObservableCollection<Person> data = new ObservableCollection<Person>();
            data.Add(new Person() { Name = "Jack" });
            data.Add(new Person() { Name = "Jameson" });
            data.Add(new Person() { Name = "Jonny" });
            listBox1.ItemsSource = data;
        }

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            int x = (int)e.GetPosition(e.DropTarget as TextBox).X / 8;
            if ((e.DropTarget as TextBox).Text != String.Empty)
            {
                (e.DropTarget as TextBox).Text = (e.DropTarget as TextBox).Text.Insert(x, (e.DragSource as TextBlock).Text);
            }
        }
    }

    public class Person
    {
        public string Name { get; set; }
    }
}
